Package Details: sendmail 8.15.2-2

Git Clone URL: https://aur.archlinux.org/sendmail.git (read-only)
Package Base: sendmail
Description: The sendmail MTA
Upstream URL: http://www.sendmail.org
Licenses: Sendmail License
Conflicts: exim, msmtp-mta, opensmtpd, postfix
Provides: sendmail=8.15
Submitter: None
Maintainer: oats
Last Packager: oats
Votes: 122
Popularity: 2.006938
First Submitted: 2009-06-30 01:50
Last Updated: 2015-08-11 15:40

Dependencies (2)

Required by (3)

Sources (4)

Latest Comments

jaro3 commented on 2015-07-10 08:15

sendmail binary builds fine from the original tarball so something must be wrong with your PKGBUILD e.g. the echo "APPENDDEF... options

jaro3 commented on 2015-07-10 07:35

The package is missing the main program binary after build:

yaourt -S --aur-url https://aur4.archlinux.org sendmail
...
chown: cannot access ‘/usr/bin/sendmail’: No such file or directory
chmod: cannot access ‘/usr/bin/sendmail’: No such file or directory
error: command failed to execute correctly

Here is the problem:

cd sendmail/
./Build
...
daemon.o: In function `anynet_ntop':
daemon.c:(.text+0x1434): undefined reference to `sm_inet6_ntop'
collect2: error: ld returned 1 exit status
Makefile:443: recipe for target 'sendmail' failed
make: *** [sendmail] Error 1

Softwayer commented on 2015-05-18 10:14

Curl fails to connect the FTP server. BTW, the current version is 8.15.1.

gadget3000 commented on 2014-08-10 08:32

This conflicts with msmtp-mta. Both provide /usr/bin/sendmail

amish commented on 2014-05-05 05:19

When you stop sendmail, sm-client does not stop and continues to run.

To solve this please add this in [Unit] section of sm-client.service
BindsTo=sendmail.service

amish commented on 2014-05-05 03:37

sendmail conflicts with postfix, exim and opensmtpd

i.e. whatever is in smtp-server

pacman -Ss smtp-server

aksr commented on 2014-04-16 15:07

chris_l: sendmail conflicts with postfix. Please add this.

lrizzo commented on 2014-02-14 02:04

Yes, it was missing the INET6 portion. I am kinda surprised I had to specify it in order for it work on inet6. ATM, working properly on Arch running this routing some complex emails. I think a working mc example addition. In case someone is interested to see how it works on one of my machines in Zurich...

http://say.si/sendmail.mc.txt

compile via m4 /etc/mail/sendmail.mc > /etc/mail/sendmail.cf

Although, I will try to add a package to actually have usable makefile that gets installed to /etc/mail. One where one can generate updates and such to mcs and other files.

And as for NEWDB it allows for BerkleyDB to build aliases etc.

chris_l commented on 2014-02-05 06:05

@Irizzo: Well, thanks a lot for the patch! I just installed myself and it works correctly ;) at least, with ipv4 works correctly.

I don't use ipv6, so I'm not sure how good is working with it. Since you mention it, I guess you are using sendmail with it. Right?

lrizzo commented on 2014-02-04 05:51

The last patch didn't display properly. A diff -u of PKGBUILD is posted here

http://say.si/sendmail-8.14.8-patch.txt

lrizzo commented on 2014-02-04 05:39

Patch to 8.14.8
- Added NEWDB support
- Added IPv6 Enabled

Lucius Rizzo
www.say.si
------------------------------------------------------------------------

--- PKGBUILD 2013-06-09 16:50:46.000000000 +0000
+++ PKGBUILD.new 2014-02-04 05:37:13.683336208 +0000
@@ -3,7 +3,7 @@
# Contributor doze_worm <shuimao@gmail.com> the original port.

pkgname="sendmail"
-pkgver=8.14.7
+pkgver=8.14.8
pkgrel=1
pkgdesc="The sendmail MTA"
arch=('i686' 'x86_64')
@@ -22,14 +22,14 @@
)
url="http://www.sendmail.org"
depends=('db' 'cyrus-sasl')
-md5sums=('348eedfab0ed00931f2df94e78f22c43'
-'a11b2aabaa97305431220c38c486081c'
-'4b60270921f77772d1ba941d831b732d'
-'f3b3c94a49bcc92dec2121dbe76f1ca0')
-sha256sums=('fa4ff9e67d1e5a42f353eedb207e08b38c0ac31030f7165866de2c520f508710'
-'380edeb289dfdfc5b0d4ea38df3a0fd35e6f83eeee76254ec7b3506eadfb674f'
-'39730f2be66bb1f1e6bc7fff61911db632ecf4b891d348df525abe2020274580'
-'1e515e7ac3fa0e73410f08da39092eb41904d2a35e245837dc8845c199117ee4')
+md5sums=('73bfc621c75dbdd3d719e54685d92577'
+ 'a11b2aabaa97305431220c38c486081c'
+ '4b60270921f77772d1ba941d831b732d'
+ 'f3b3c94a49bcc92dec2121dbe76f1ca0')
+sha256sums=('02eb69125fc19890fa922496a5230ebb32faedc8da670d8500a8ff37e4fcb0fe'
+ '380edeb289dfdfc5b0d4ea38df3a0fd35e6f83eeee76254ec7b3506eadfb674f'
+ '39730f2be66bb1f1e6bc7fff61911db632ecf4b891d348df525abe2020274580'
+ '1e515e7ac3fa0e73410f08da39092eb41904d2a35e245837dc8845c199117ee4')

install="${pkgname}.install"

@@ -38,8 +38,10 @@
# Add support for SASL2
chmod +w devtools/OS/Linux
echo -e "define(\`confSTDIO_TYPE', \`portable')\nAPPENDDEF(\`conf_sendmail_ENVDEF', \`-DSTARTTLS')\nAPPENDDEF(\`conf_sendmail_LIBS', \`-lssl -lcrypto')\n">>devtools/OS/Linux
- echo "APPENDDEF(\`conf_sendmail_ENVDEF', \`-DSASL=2')" >>devtools/OS/Linux
- echo "APPENDDEF(\`conf_sendmail_LIBS', \`-lsasl2')" >>devtools/OS/Linux
+ echo "APPENDDEF(\`conf_sendmail_ENVDEF', \`-DNETINET6 -DSASL=2')" >>devtools/OS/Linux
+ echo "APPENDDEF(\`conf_sendmail_LIBS', \`-lresolv -lsasl2')" >>devtools/OS/Linux
+ ./Build || return 1(\`confLIBS', \`-ldb')" >>devtools/OS/Linux
---------------------------------------------------------------------------

lrizzo commented on 2014-02-04 04:17

Hi,

Can you update this to 8.14.8? Also your build doesn't build in IPv6 which i think should be standard. Could you perhaps allow for all the options to be enable (or configurable in the PKGBUILD). That would be super awesome :)

Thank you again -- this is working (with a slight addition of IPv6) great.

Lucius Rizzo
www.say.si

idomeneo1 commented on 2013-11-18 19:47

Thanks chris_l, I got it working now. I think the problem was actually with the router they have here. (Which unfortunately I can't do much about.)

chris_l commented on 2013-11-18 19:28

It works for me. Maybe the server had a problem and you should try it again?

idomeneo1 commented on 2013-11-18 19:04

Trying to makepkg - is there something I'm missing?

==> Retrieving sources...
-> Downloading sendmail.8.14.7.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:--
0curl: (7) Failed connect to ftp.sendmail.org:21; Connection refused
==> ERROR: Failure while downloading sendmail.8.14.7.tar.gz
Aborting...

idomeneo1 commented on 2013-11-18 19:02

Trying to download - is there something I'm missing?

==> Retrieving sources...
-> Downloading sendmail.8.14.7.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0curl: (7) Failed connect to ftp.sendmail.org:21; Connection refused
==> ERROR: Failure while downloading sendmail.8.14.7.tar.gz
Aborting...

kingcody commented on 2013-06-10 08:45

chris_l,
No problem at all.

Btw, I totally hear ya on the change to the Makefile. However, I looked at the make install function and it would seem that the install directories are further down in the configs somewhere. I did poke around looking for them for maybe 20mins before just making the changes to the package function in the PKGBUILD.

Maybe not the best, but it was fairly simple. Also I'm not too familiar with proper Arch Etiquette on this one...

chris_l commented on 2013-06-09 17:18

Well, I didn't wait and just used the diff right away instead.

The reason I didn't updated it as soon as I noticed the flag out-of-date, was that I originally though about changing something on the files (like in the Makefile or somewhere) so the "make install" saved those files directly on bin instead of sbin.
And I didn't take yet the time to check where that was stored.

But in the end, the result is more important than the procedure, and this works perfect, so yeah this is better.

Thanks again

chris_l commented on 2013-06-09 16:56

hehe Sorry about the time.
Yeah, in a few hours I'll update the package. Thanks a lot for the diff, man!

kingcody commented on 2013-06-09 10:19

Here is an updated PKGBUILD diff and sendmail.install diff
This builds the Newest version of Send Mail 8.14.7 and installs binaries to /usr/bin.

diff ./sendmail/PKGBUILD ./sendmail-updated/PKGBUILD
6,7c6,7
< pkgver=8.14.5
< pkgrel=3
---
> pkgver=8.14.7
> pkgrel=1
25c25
< md5sums=('02ccfc331cc81ed00ec8bb5ecfc69018'
---
> md5sums=('348eedfab0ed00931f2df94e78f22c43'
29c29
< sha256sums=('fb65a86a0f87f12aefb933ee8990540f7a680a594f7fedfdd28918f3934bfb88'
---
> sha256sums=('fa4ff9e67d1e5a42f353eedb207e08b38c0ac31030f7165866de2c520f508710'
69a70,71
> mv $pkgdir/usr/sbin/* $pkgdir/usr/bin/
> rmdir $pkgdir/usr/sbin


diff ./sendmail/sendmail.install ./sendmail-updated/sendmail.install
14,15c14,15
< chown root:smmsp /usr/sbin/sendmail
< chmod 2555 /usr/sbin/sendmail
---
> chown root:smmsp /usr/bin/sendmail
> chmod 2555 /usr/bin/sendmail


Thanks, and
Have a nice day :)

punkrockguy318 commented on 2013-06-03 13:11

To comply with the latest Arch Linux news [https://www.archlinux.org/news/binaries-move-to-usrbin-requiring-update-intervention/] the sendmail binary should be installed to /usr/bin instead of /usr/sbin. The PKGBUILD and .install file can easily be adjusted to address this.

aksr commented on 2013-04-23 06:04

Hi chris_l,
It seems that sendmail conflicts with postfix.

chris_l commented on 2013-01-05 21:17

Ok, I updated the package and included setti's services (thanks!) with a small change.

@Demon: It seems the check_smmsp function was there because sendmail expects user and group to exist before doing "make install". I have changed the makefile so that is no longer necessary, so the check_smmsp function is gone :)

Also, now is compiled with STARTTLS auth support.

setti commented on 2012-12-22 09:09

# cat /usr/lib/systemd/system/sendmail.service
[Unit]
Description=Sendmail Mail Transport Agent
After=syslog.target network.target
Conflicts=postfix.service exim.service
Wants=sm-client.service

[Service]
Type=forking
PIDFile=/var/run/sendmail.pid
EnvironmentFile=/etc/conf.d/sendmail
ExecStartPre=-/usr/bin/newaliases > /dev/null 2>&1
ExecStart=/usr/sbin/sendmail -bd $SENDMAIL_OPTS $SENDMAIL_OPTARG

[Install]
WantedBy=multi-user.target




# cat /usr/lib/systemd/system/sm-client.service
[Unit]
Description=Sendmail Mail Transport Client
After=syslog.target network.target sendmail.service
Wants=sendmail.service

[Service]
Type=forking
PIDFile=/var/spool/clientmqueue/sm-client.pid
EnvironmentFile=/etc/conf.d/sm-client
ExecStartPre=/usr/bin/rm -f /var/spool/mqueue/xf*
ExecStart=/usr/sbin/sendmail ${CLIENTMQUEUE_OPTS} > /dev/null 2>&1

[Install]
WantedBy=multi-user.target



# cat /etc/conf.d/sendmail
SENDMAIL_OPTS="-bd -q30m -L sm-mta"




# cat /etc/conf.d/sm-client
CLIENTMQUEUE_OPTS="-Ac -q30m -L sm-cm"

jacook commented on 2012-10-26 04:54

Missing systemd service.

daimonion commented on 2012-10-03 07:23

Agreed with chris_l, I need ssl and auth support, too.

Also, what's this thing with check_smmsp function? This should go to the install file, IMHO.

chris_l commented on 2012-08-25 17:26

Hi.
I been using this sendmail package, but I have noticed is not compiled with ssl and auth support!
I thought about creating a sendmail-ssl pkgbuild, but I think those features are quite important this days and it should be included in this package. (and most distros have sendmail compiled with them)
so, may I ask to include them?
I have edited the PKGBUILD, and you only need to add this lines, just before the "./Build || return 1" line:

chmod +w devtools/OS/Linux
echo -e "define(\`confSTDIO_TYPE', \`portable')\nAPPENDDEF(\`conf_sendmail_ENVDEF', \`-DSTARTTLS')\nAPPENDDEF(\`conf_sendmail_LIBS', \`-lssl -lcrypto')\n">>devtools/OS/Linux
echo "APPENDDEF(\`conf_sendmail_ENVDEF', \`-DSASL=2')" >>devtools/OS/Linux
echo "APPENDDEF(\`conf_sendmail_LIBS', \`-lsasl2')" >>devtools/OS/Linux

Those lines will add cyrus-sasl as dependency, but ssl and auth is quite important for serious sendmail usage.
Thanks :D

misc commented on 2011-01-12 20:13

Beta indeed, but not with any new features. Instead, the release notes appear to only list bugfixes:
http://www.sfr-fresh.com/unix/misc/sendmail.8.14.5.Beta0.tar.gz:a/sendmail-8.14.5.Beta0/RELEASE_NOTES
But whatever floats your boat; I've installed it for now.

mazieres commented on 2011-01-12 02:20

8.14.5 seems to be in Beta still. Is there a reason not to wait for the final release?

misc commented on 2011-01-12 00:06

Some mirros have a sendmail 8.14.5 Beta0 since December 5:
http://mirror.tje.me.uk/pub/mirrors/ftp.sendmail.org/pub/sendmail/sendmail.8.14.5.Beta0.tar.gz

misc commented on 2011-01-12 00:05

Some mirros have a sendmail 8.14.5 Beta0 since December 5:
http://mirror.tje.me.uk/pub/mirrors/ftp.sendmail.org/pub/sendmail/sendmail.8.14.4.tar.gz

Anonymous comment on 2010-12-08 02:21

Thanks for mazieres great effort. For some personal reason, I disowned the package. Could mazieres adopt it? Thank you.

Anonymous comment on 2010-12-01 23:30

I got an invalid user error with the package listed here. I'm a newb here as well, but mazieres's package worked great & I vote for it to replace the old one.

Thanks mazieres!

mazieres commented on 2010-11-30 09:20

Is this package still being maintained? I had several problems in the existing package, and so have put together an alternate sendmail package that seems to work better. I've posted it at the following URL:

http://www.scs.stanford.edu/~dm/noindex/sendmail-8.14.4-2.src.tar.gz

I don't want to step on anyone's toes, but if no one else is working on the problem, I would like to submit this package as a replacement. (I'm new to arch so don't know the etiquette for fixing problems in AUR packages.) Also, if anyone else is willing to try out my package, please post on here to let me know if it works.

mazieres commented on 2010-11-25 03:58

Doesn't work on a freshly installed x86_64 box:

- adduser is missing a -d flag for the home directory in install script

- sendmail binary is not installed anywhere

- configuration (.mc, .m4, etc.) files are not installed

kraxor commented on 2010-11-20 17:43

For me, in addition to the problems mentioned below, the useradd command in pre_install() fails, displaying the usage information.

Anonymous comment on 2010-08-31 08:20

Same problem here, no sendmail binary in this package.

I'm on 2.6.35-ARCH x86_64

sacarde commented on 2010-05-07 08:13

I have: obj.Linux.2.6.33-ARCH.x86_64/sendmail/sendmail

but the problem is that this file there is not in "sendmail-8.14.4-1-x86_64.pkg.tar.gz"

Anonymous comment on 2010-05-07 02:15

Try this:
1. Download the source tarball.
$ wget ftp://ftp.sendmail.org/pub/sendmail/sendmail.8.14.4.tar.gz
2. Unpack it and perform the Build script.
$ tar zxf sendmail.8.14.4.tar.gz
$ cd sendmail-8.14.4
$ ./Build
3. Try to find the sendmail binary file.
$ find ./ -name sendmail -type f

I do the commands above in an Ubuntu (x86) system, and the result is
$ ./obj.Linux.2.6.31-21-generic.i686/sendmail/sendmail

You can try it on your system to find out that the problem is induced by which step, the building process or the packaging process.

BTW, the PKGBUILD you listed is correct.

regards

sacarde commented on 2010-05-05 07:08

me too with arch64

in packages I view:

=>v

sendmail /etc/
sendmail /etc/mail/
sendmail /etc/mail/helpfile
sendmail /etc/mail/statistics
sendmail /etc/mail/submit.cf
sendmail /usr/
sendmail /usr/bin/
sendmail /usr/bin/vacation
sendmail /usr/man/
sendmail /usr/man/man1/
sendmail /usr/man/man1/vacation.1
sendmail /usr/man/man5/
sendmail /usr/man/man8/
sendmail /usr/man/man8/editmap.8
sendmail /usr/man/man8/mailstats.8
sendmail /usr/man/man8/makemap.8
sendmail /usr/man/man8/praliases.8
sendmail /usr/man/man8/smrsh.8
sendmail /usr/sbin/
sendmail /usr/sbin/editmap
sendmail /usr/sbin/mailstats
sendmail /usr/sbin/makemap
sendmail /usr/sbin/praliases
sendmail /usr/sbin/smrsh
sendmail /var/
sendmail /var/spool/
sendmail /var/spool/clientmqueue/
Nome : sendmail
Versione : 8.14.4-1
URL : http://www.sendmail.org
Licenze : unknown
Gruppi : Nessuno
Fornisce : sendmail=8.14
Dipende da : Nessuno
Dip. opzionali : Nessuno
Conflitti con : Nessuno
Sostituisce : Nessuno
Dimensione pkg : 243,29 K
Kb richiesti : 656,00 K
Autore : Unknown Packager
Architettura : x86_64
Creato il : mer 05 mag 2010 09:04:55 CEST
Script install : Sì
Descrizione : A CLI tool for sending mail


and this is PKGBUILD

#contributor= doze_worm <shuimao@gmail.com>
pkgname="sendmail"
pkgver=8.14.4
pkgrel=1
pkgdesc="A CLI tool for sending mail"
arch=('i686' 'x86_64')
license=(unknown)
provides=('sendmail=8.14')
conflicts=()
source=("ftp://ftp.sendmail.org/pub/sendmail/${pkgname}.${pkgver}.tar.gz")
url="http://www.sendmail.org"
depends=()
md5sums=('1b23d5000c8e7bfe82ec1a27f2f5fdc5')

install="${pkgname}.install"

build(){
cd "$srcdir/${pkgname}-${pkgver}" || return 1
mkdir -p $pkgdir/usr/bin $pkgdir/usr/man/man{1,5,8} $pkgdir/usr/sbin || return 1
./Build || return 1
make DESTDIR="$pkgdir" install || return 1
}


Anonymous comment on 2010-05-05 01:34

In addition, You could try extra/postfix for instead.

Anonymous comment on 2010-05-05 01:30

Are you using a x86 system? In my case, the system is x86_64.
Maybe it is a bug, or maybe there's something wrong with your building environment.
Here's the log that I build the sendmail with the command yaourt. Hope that it can help a little.


==> Tidying install...
-> Purging other files...
-> Compressing man and info pages...
-> Stripping debugging symbols from binaries and libraries...
==> Creating package...
-> Generating .PKGINFO file...
-> Adding install script...
-> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: sendmail 8.14.4-1 x86_64 (Wed May 5 09:19:34 CST 2010)
==> Exporting sendmail to /var/cache/yaourt/pkg repository

==> Continue installing sendmail? [Y/n]
==> [v]iew package contents [c]heck package with namcap
==> ----------------------------------------------
==>v

sendmail /etc/
sendmail /etc/mail/
sendmail /etc/mail/helpfile
sendmail /etc/mail/statistics
sendmail /etc/mail/submit.cf
sendmail /usr/
sendmail /usr/bin/
sendmail /usr/bin/hoststat
sendmail /usr/bin/mailq
sendmail /usr/bin/newaliases
sendmail /usr/bin/purgestat
sendmail /usr/bin/vacation
sendmail /usr/man/
sendmail /usr/man/man1/
sendmail /usr/man/man1/mailq.1.gz
sendmail /usr/man/man1/newaliases.1.gz
sendmail /usr/man/man1/vacation.1.gz
sendmail /usr/man/man5/
sendmail /usr/man/man5/aliases.5.gz
sendmail /usr/man/man8/
sendmail /usr/man/man8/editmap.8.gz
sendmail /usr/man/man8/mailstats.8.gz
sendmail /usr/man/man8/makemap.8.gz
sendmail /usr/man/man8/praliases.8.gz
sendmail /usr/man/man8/sendmail.8.gz
sendmail /usr/man/man8/smrsh.8.gz
sendmail /usr/sbin/
sendmail /usr/sbin/editmap
sendmail /usr/sbin/mailstats
sendmail /usr/sbin/makemap
sendmail /usr/sbin/praliases
sendmail /usr/sbin/sendmail
sendmail /usr/sbin/smrsh
sendmail /var/
sendmail /var/spool/
sendmail /var/spool/clientmqueue/
Name : sendmail
Version : 8.14.4-1
URL : http://www.sendmail.org
Licenses : unknown
Groups : None
Provides : sendmail=8.14
Depends On : None
Optional Deps : None
Conflicts With : None
Replaces : None
Compressed Size: 366.06 K
Installed Size : 1241.00 K
Packager : Unknown Packager
Architecture : x86_64
Build Date : Wed 05 May 2010 09:19:33 AM CST
Install Script : Yes
Description : A CLI tool for sending mail

==> Continue installing sendmail? [Y/n]
==> [v]iew package contents [c]heck package with namcap
==> ----------------------------------------------
==>n

==> Package not installed
==> WARNING: Your package is saved in /var/cache/yaourt/tmp/yaourt-tmp-doze_worm/sendmail-8.14.4-1-x86_64.pkg.tar.xz

sacarde commented on 2010-05-04 07:06

I build sendmail-pkg
but I found in pkg tarball, only:

── etc
│   └── mail
│   ├── helpfile
│   ├── statistics
│   └── submit.cf
├── usr
│   ├── bin
│   │   └── vacation
│   ├── man
│   │   ├── man1
│   │   │   └── vacation.1
│   │   ├── man5
│   │   └── man8
│   │   ├── editmap.8
│   │   ├── mailstats.8
│   │   ├── makemap.8
│   │   ├── praliases.8
│   │   └── smrsh.8
│   └── sbin
│   ├── editmap
│   ├── mailstats
│   ├── makemap
│   ├── praliases
│   └── smrsh
└── var
└── spool
└── clientmqueue

12 directories, 15 files

and no "sendmail" binary

Anonymous comment on 2010-05-04 03:14

Yes, It includes MTA. But I don't know by whom.
And you can find more information here: http://www.feep.net/sendmail/tutorial/

usr/sbin/sendmail

It is in /usr/sbin

Anonymous comment on 2010-04-19 01:52

What happened to the daemon and binary?

sacarde commented on 2010-04-12 15:49

hi,
is this package that include sendmail server MTA by eric allman ?

I dont find "sendmail" executable
I dont find "sendmail" script to start service (in /etc/rc.d)




thank you